; Configuration file for Duet WiFi (firmware version 1.21)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool on Sun Nov 04 2018 13:11:53 GMT+0100 (West-Europa (standaardtijd))

; General preferences
G90                                                ; Send absolute coordinates...
M83                                                ; ...but relative extruder moves

; Network
M550 PAM8                                          ; Set machine name
M552 S1                                            ; Enable network
M587 S"SSID" P"Password"                           ; Configure access point. You can delete this line once connected
M586 P0 S1                                         ; Enable HTTP
M586 P1 S0                                         ; Disable FTP
M586 P2 S0                                         ; Disable Telnet

; Drives
;M584 X0 Y1 Z2:3 E4				   ; Assign drivers to motors
M569 P0 S1                                         ; Drive 0 goes forwards
M569 P1 S1                                         ; Drive 1 goes forwards
M569 P2 S0                                         ; Drive 2 goes backwards
M569 P3 S0                                         ; Drive 3 goes backwards
M350 X16 Y16 Z16 E16 I1                            ; Configure microstepping with interpolation
M92 X100 Y100 Z400 E446                            ; Set steps per mm
M203 X18000 Y18000 Z300 E3600                      ; Set maximum speeds (mm/min)
M201 X3000 Y1500 Z100 E1000                        ; Set accelerations (mm/s^2)
M566 X1200 Y900 Z12 E1200                          ; Set maximum instantaneous speed changes (mm/min) (jerk)
M906 X950 Y950 Z950 E950 I30                       ; Set motor currents (mA) and motor idle factor in per cent
M84 S30                                            ; Set idle timeout
;M572 D0 S0.2					   ; Pressure advance set to 0.1 seconds

; Axis Limits
M208 X-8 Y0 Z0 S1                                  ; Set axis minima
M208 X220 Y220 Z200 S0                             ; Set axis maxima

; Endstops
M574 X1 Y1 S3                                      ; Set endstops controlled by motor load detection
M574 Z1 S0					   ; Set Z endstop

; Z-Probe
;M574 Z1 S2                                        ; Set endstops controlled by probe
;M307 H3 A-1 C-1 D-1                               ; Disable heater on PWM channel for BLTouch
M558 P0 X0 Y0 Z1 H5 F120 T6000                     ; Set Z probe type to bltouch and the dive height + speeds
;G31 P1 X0 Y0 Z0                                  ; Set Z probe trigger value, offset and trigger height
M557 X15:210 Y15:199 S40                          ; Define mesh grid

; Heaters
M305 P0 T100000 B4138 C0 R4700                     ; Set thermistor + ADC parameters for heater 0
M143 H0 S120                                       ; Set temperature limit for heater 0 to 120C
M305 P1 T100000 B4138 C0 R4700                     ; Set thermistor + ADC parameters for heater 1
M143 H1 S285                                       ; Set temperature limit for heater 1 to 280C
M307 H1 A304.1 C232.8 D7.1 S1 B0		   ; Set PID tuning values for heater 1

; Fans
M106 P0 S0 I0 H-1                             	   ; Set fan 0 value, PWM signal inversion and frequency. Thermostatic control is turned off
M106 P1 S1 I0 F500 H1 T45                          ; Set fan 1 value, PWM signal inversion and frequency. Thermostatic control is turned on
M106 P2 S1 I0 F500 H1 T45                          ; Set fan 2 value, PWM signal inversion and frequency. Thermostatic control is turned on

; Tools
M563 P0 D0 H1                                      ; Define tool 0
G10 P0 X0 Y0 Z0                                    ; Set tool 0 axis offsets
G10 P0 R0 S0                                       ; Set initial tool 0 active and standby temperatures to 0C
T0						   ; Select first hotend

; Automatic power saving
M911 S10 R11 P"M913 X0 Y0 G91 M83 G1 Z3 E-5 F1000" ; Set voltage thresholds and actions to run on power loss

; Custom settings are not configured